/*************************************************************/
/* Includes */
/*************************************************************/

/* MUI */
#include <libraries/mui.h>

/* System */
#include <exec/types.h>
#include <exec/lists.h>
#include <exec/nodes.h>
#include <exec/memory.h>
#include <exec/execbase.h>
#include <dos.h>
#include <dos/dos.h>
#include <dos/dosextens.h>
#include <dos/exall.h>
#include <graphics/gfxmacros.h>
#include <workbench/workbench.h>
#include <diskfont/diskfonttag.h>
#include <diskfont/glyph.h>
#include <proto/exec.h>
#include <proto/dos.h>
#include <proto/icon.h>
#include <proto/graphics.h>
#include <proto/intuition.h>
#include <proto/gadtools.h>
#include <proto/asl.h>
#include <clib/muimaster_protos.h>
#include <pragmas/muimaster_pragmas.h>

/* ANSI C */
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

/* Local */
#include "type1_lib.h"
#include "type1_protos.h"
#include <intuition/gadgetclass.h>
#include <intuition/icclass.h>
#include "myimagegclass.h"


/*************************************************************/
/* Defines */
/*************************************************************/
#define VERSION "0.01"
#define REG(x) register __ ## x
#define ASM    __asm
#define SAVEDS __saveds
#define MAX(a,b) __builtin_max(a,b)
#define MIN(a,b) __builtin_min(a,b)
#define EXALLBUFSIZE 1024
#ifndef MAKE_ID
#define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif


/*************************************************************/
/* Structure Definitions */
/*************************************************************/
struct otagnode
{
	struct MinNode MyNode;
	ULONG ti_Tag;
	ULONG ti_Data;
	ULONG size;
};


/*************************************************************/
/* Local Prototypes */
/*************************************************************/
#define MyErrorMsg1(a,b) { char ReqText[256]; sprintf(ReqText, a, b); MyErrorMsg(ReqText); }
extern void ErrorReq(char *Name,LONG Error);
extern void MyErrorMsg(char *ErrorMsg);
extern void AddFontToListview(char *otagname, char *filebuf);

extern BOOL T1_InstallFont(char *filename, char *destdrawer);
extern struct MinList *NewOTagList(void);
extern int AddOTag(struct MinList *list, ULONG tag, ULONG data, ULONG size);
extern ULONG SizeOTagList(struct MinList *list);
extern void DumpOTagList(struct MinList *list, void *buf);
extern void FreeOTagList(struct MinList *list);
extern BOOL DoAllAssigns(char *dos_path, BOOL (*passback_func) (BPTR lock, void (*passfunc) (char *filename, int filesize)), void (*passfunc) (char *filename, int filesize));
extern BOOL AddFontdir(BPTR lock, void (*passfunc) (char *filename, int filesize));
extern void FreeFontdirparts(void);
extern BOOL ScanDir(BPTR lock, void (*passfunc) (char *filename, int filesize));
extern void DeleteBitmaps(char *filename, int filesize);
extern void CheckFile(char *filename, int filesize);
extern BOOL IsOtagType1(char *buf);
extern BOOL RenderPreview(char *filename, ULONG pointheight, struct RastPort *rp, LONG leftedge, LONG topedge, LONG width, LONG height, char *previewstring);

